summaryrefslogtreecommitdiffstats
path: root/autotest.sh
diff options
context:
space:
mode:
authorMorris Jobke <hey@morrisjobke.de>2017-11-27 16:40:58 +0100
committerGitHub <noreply@github.com>2017-11-27 16:40:58 +0100
commit4a63727ed989818eaca85dea113e8e0b075b1c07 (patch)
tree667f2e981f218866ef1df03b5d63e99ecef37d1b /autotest.sh
parente428ef9d75d8b6ffe92bc9335f587fd934c10bc8 (diff)
parentb331c67859cee479713d5c223d3aaa4b5c9c6792 (diff)
downloadnextcloud-server-4a63727ed989818eaca85dea113e8e0b075b1c07.tar.gz
nextcloud-server-4a63727ed989818eaca85dea113e8e0b075b1c07.zip
Merge pull request #7210 from nextcloud/pg10
add postgresql 10 compatibility to dbal
Diffstat (limited to 'autotest.sh')
-rwxr-xr-xautotest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autotest.sh b/autotest.sh
index e7300363c3a..da9661f067b 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -308,11 +308,11 @@ function execute_tests {
echo "Postgres is up."
else
if [ ! -z "$DRONE" ] ; then
- DATABASEHOST=postgres
+ DATABASEHOST="postgres-$POSTGRES"
fi
echo "Waiting for Postgres to be available ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 5432 60; then
- echo "[ERROR] Waited 60 seconds, no response" >&2
+ echo "[ERROR] Waited 60 seconds for $DATABASEHOST, no response" >&2
exit 1
fi
echo "Give it 10 additional seconds ..."